package com.bocloud.cmp.provider.agile.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileVpcConnectionModel;

import java.util.List;

/**
 * 华为SDN vpc 互通操作接口
 */
public interface VpcConnectionProvider extends SuperProvider {
    default BocloudResult<List<AgileVpcConnectionModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileVpcConnectionModel> create(AgileVpcConnectionModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileVpcConnectionModel> modify(AgileVpcConnectionModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileVpcConnectionModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}
